Bug 985689 - aether: Update to Eclipse Aether
aether: Update to Eclipse Aether
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aether (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 985700 985701 985702 985703 985704 985705 985706 985707 985708 986168
Blocks: 985674
  Show dependency treegraph
 
Reported: 2013-07-18 01:13 EDT by Mikolaj Izdebski
Modified: 2013-07-25 00:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.9.0-0.M2.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-25 00:04:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2013-07-18 01:13:15 EDT
Description of problem:
Currently aether package contains Sonatype Aether, which is no longer
developed.  Maven 3.1.0 uses Eclipse Aether, so this package needs
to be upgraded to Eclipse Aether.

Eclipse Aether is totally incompatible with Sonatype Aether
so all packages depending on aether will have to be upgraded or patched.

Additional info:
List of packages that depend on aether and therefore can be affected
by this update:

aether
aether-ant-tasks
eclipse-m2e-core
gradle
maven
maven-dependency-tree
maven-indexer
maven-reporting-exec
shrinkwrap-resolver
xmvn
Comment 1 Mikolaj Izdebski 2013-07-19 04:26:23 EDT
Requires maven-plugin-build-helper >= 1.7
Comment 2 Mikolaj Izdebski 2013-07-19 06:59:21 EDT
Fixed in branch experimental, commit d9c87ef
Comment 3 Mikolaj Izdebski 2013-07-22 06:36:04 EDT
Fixed in aether-0.9.0-0.M2.1
Comment 4 Mikolaj Izdebski 2013-07-25 00:04:17 EDT
I believe that this bug is fixed in aether-0.9.0-0.M2.1,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=436544

Note You need to log in before you can comment on or make changes to this bug.